Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006361TestLinkUser Interface Customizationpublic2014-06-04 10:062014-07-28 20:31
Reporterperryblack 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformDesktop PCOSWindows (64-bit)OS Version7
Product Version1.9.10 (2014 Q1 - bug fixing) 
Fixed in Version1.9.11 (2014 Q2 - bug fixing) 
Summary0006361: Need a user setting to optionally always display testcase "Actions" buttons.
DescriptionI do a lot of testcase editing and now I have to click once on the Actions button (the one that looks like a gear at the top left of the testcase) EVERY time I want to edit a test case. Not really a problem if it is just one test case, but more often than not I have to change more than once testcase and with the Actions buttons being hid by default I'm now forced to click twice to edit the testcase instead of just once as it was before now. So it would really be nice if I could permanently un-hide the testcase Actions buttons.
Steps To Reproduce1. Logon.
2. Click on "Test Specification".
3. Find and click on any particular testcase in the navigation frame/pane.
4. Click on Testcase Actions button to display those buttons.
5. Edit the test case.
6. Select another test case
7. Click on Testcase Actions button to display those buttons.
8. Edit the test case.
9. Select another test case.
...
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox 29.0.1
PHP Version5.x
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0021224)
morbistra (reporter)
2014-07-08 09:29

This issue is very annoying and negatively impacts the pace of work in my QA department.
Is there any workaround for that problem?

Thanks.
(0021225)
fman (administrator)
2014-07-08 10:26

>> Is there any workaround for that problem?
no
(0021308)
fman (administrator)
2014-07-27 09:10

NEW CONFIG option

/**
 * controls if operation area (buttons) starts open ('' or 'inline') or closed ('none') on:
 * - test suite management
 * - test case management
 * - req. spec management
 * - req. management
 */
$tlCfg->gui->op_area_display = new stdClass();

// test_spec_container => test project, test suite
$tlCfg->gui->op_area_display->test_spec_container = 'none'; // ''
$tlCfg->gui->op_area_display->test_case = 'none'; // 'inline'
$tlCfg->gui->op_area_display->req_spec_container = 'none'; // 'inline'
$tlCfg->gui->op_area_display->req = 'none'; // 'inline'
(0021309)
fman (administrator)
2014-07-27 09:18

https://gitorious.org/testlink-ga/testlink-code/commit/c18341c72a242cb28b43afcbbe60dacab88f3920 [^]

- Issue History
Date Modified Username Field Change
2014-06-04 10:06 perryblack New Issue
2014-07-08 09:29 morbistra Note Added: 0021224
2014-07-08 10:26 fman Note Added: 0021225
2014-07-27 09:10 fman Note Added: 0021308
2014-07-27 09:18 fman Note Added: 0021309
2014-07-27 09:18 fman QA Team - Task Workflow Status => TBD
2014-07-27 09:19 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-07-27 09:19 fman Status new => resolved
2014-07-27 09:19 fman Fixed in Version => 1.9.11 (2014 Q2 - bug fixing)
2014-07-27 09:19 fman Resolution open => fixed
2014-07-27 09:19 fman Assigned To => fman
2014-07-28 20:31 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker